Loading...
Searching...
No Matches
openshot::OutOfBoundsPoint Class Reference

Exception for an out of bounds key-frame point. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsPoint:

## Public Member Functions

| OutOfBoundsPoint (std::string message, int point_requested, int max_points)
| Constructor.
std::string | py_message () const override
virtual | ~OutOfBoundsPoint () noexcept
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

int | MaxPoints
int | PointRequested

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception for an out of bounds key-frame point.

Definition at line 324 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsPoint()

openshot::OutOfBoundsPoint::OutOfBoundsPoint | ( | std::string | message,
|  | int | point_requested,
|  | int | max_points )

inline

Constructor.

Parameters

  message | A message to accompany the exception
  point_requested | The out-of-bounds point requested
  max_points | The maximum available point value

Definition at line 336 of file Exceptions.h.

## ~OutOfBoundsPoint()

virtual openshot::OutOfBoundsPoint::~OutOfBoundsPoint | ( |  | ) |

inline virtual noexcept

Definition at line 338 of file Exceptions.h.

## Member Function Documentation

## py_message()

std::string openshot::OutOfBoundsPoint::py_message | ( |  | ) | const

inline override virtual

Reimplemented from openshot::ExceptionBase.

Definition at line 339 of file Exceptions.h.

## Member Data Documentation

## MaxPoints

int openshot::OutOfBoundsPoint::MaxPoints

Definition at line 328 of file Exceptions.h.

Referenced by OutOfBoundsPoint(), and py_message().

## PointRequested

int openshot::OutOfBoundsPoint::PointRequested

Definition at line 327 of file Exceptions.h.

Referenced by OutOfBoundsPoint(), and py_message().

The documentation for this class was generated from the following file:

- Exceptions.h